rm(list=ls(all=TRUE))  # clear all variables

library(aod)

# Greg Francis (gfrancis@purdue.edu)  December 2013

# Experiment 1 

# define properties of experiment
n1 = 32
n2 =31

f1 = 11;
f2 = 3;

alpha = 0.05



proportions = c(f1/n1, f2/n2)

# repeat experiments to estimate power
numExperiments =10000

RejectNull <- 0*c(1: numExperiments)
RejectNullInteraction <- 0*c(1: numExperiments)
RejectNulltTest1 <- 0*c(1: numExperiments)
RejectNulltTest2 <- 0*c(1: numExperiments)



for(experimentNum in c(1: numExperiments)){


#cat(experimentNum, "\n")

    x1 =  runif( n=n1, min=0, max=1) 
	y1 =  runif( n=n2 , min=0, max=1) 	

	
	# convert to 0-1 responses
	Category = ifelse(x1<= proportions[1], 1, 0)
	NonCategory = ifelse(y1<= proportions[2], 1, 0)

	# just to test out data from paper (it matches)	
	if(1==0){
	Category[1:f1] = 1
	Category[(f1+1):n1] = 0	
	NonCategory[1:f2] = 1
	NonCategory[(f2+1):n2] = 0
	}
	
	# Write to data file
	
	sink("tempData.csv")
	
	cat("Categorized, DoFullTask\n")
		
	for(i in c(1:n1)){
		cat("0, ",Category[i],"\n")
	}
	for(i in c(1:n2)){
		cat("1, ",NonCategory[i],"\n")
	}
	
	sink()
	
	mydata <-read.csv("tempData.csv")
	
	mydata$Categorized<-factor(mydata $Categorized)
	
	mylogit <- glm(DoFullTask ~ Categorized, data = mydata, family = "binomial")




	p2<-summary(mylogit)$coefficients[2,4]

	
			if (p2<= alpha && mean(Category)> mean(NonCategory))	{
				RejectNull[experimentNum] = 1
				}
}  #End current experiment

# output statistics
propReject = sum(RejectNull)/numExperiments


cat("Proportion reject =", propReject, "\n")
