rm(list=ls(all=TRUE))  # clear all variables

library(aod)

# Greg Francis (gfrancis@purdue.edu)  December 2013

# Experiment 2

# define properties of experiment
n1 = 34
n2 =33
n3 = 30
n4 = 34

f1 = 18
f2 = 15
f3 = 7
f4 = 14

alpha = 0.055

proportions = c(f1/n1, f2/n2, f3/n3, f4/n4)

# repeat experiments to estimate power
numExperiments =10000

RejectNull <- 0*c(1: numExperiments)


for(experimentNum in c(1: numExperiments)){


#cat(experimentNum, "\n")

    x1 =  runif( n=n1, min=0, max=1) 
	y1 =  runif( n=n2 , min=0, max=1) 	
    z1 =  runif( n=n3, min=0, max=1) 
	w1 =  runif( n=n4 , min=0, max=1) 
	
	# convert to 0-1 responses
	CategoryEval = ifelse(x1<= proportions[1], 1, 0)
	CategoryNoEval = ifelse(y1<= proportions[2], 1, 0)
	NoCategoryEval = ifelse(z1<= proportions[3], 1, 0)
	NoCategoryNoEval = ifelse(w1<= proportions[4], 1, 0)
	
	# just to test out data from paper (it matches)	
	if(1==0){
	CategoryEval[1:f1] = 1
	CategoryEval[(f1+1):n1] = 0	
	CategoryNoEval[1:f2] = 1
	CategoryNoEval[(f2+1):n2] = 0	
	NoCategoryEval[1:f3] = 1
	NoCategoryEval[(f3+1):n3] = 0
	NoCategoryNoEval[1:f4] = 1
	NoCategoryNoEval[(f4+1):n4] = 0
	}
	# Write to data file
	
	sink("tempData.csv")
	
	cat("Categorized, Eval, DoFullTask\n")
		
	for(i in c(1:n1)){
		cat("1, 1, ",CategoryEval[i],"\n")
	}
	for(i in c(1:n2)){
		cat("1, 0, ",CategoryNoEval[i],"\n")
	}
	for(i in c(1:n3)){
		cat("0, 1, ",NoCategoryEval[i],"\n")
	}
	for(i in c(1:n4)){
		cat("0, 0, ",NoCategoryNoEval[i],"\n")
	}
	
	sink()
	
	mydata <-read.csv("tempData.csv")
	
	mydata$Categorized<-factor(mydata $Categorized)
	
	mylogit <- glm(DoFullTask ~ Categorized + Eval, data = mydata, family = "binomial")






	p2<-summary(mylogit)$coefficients[2,4]

	
			if (p2<=alpha && mean( c(CategoryEval, CategoryNoEval))> mean(c(NoCategoryEval, NoCategoryNoEval)) )	{
				RejectNull[experimentNum] = 1
				}
}  #End current experiment

# output statistics
propReject = sum(RejectNull)/numExperiments


cat("Proportion reject =", propReject, "\n")
